---
title: <linearGradient>
slug: Web/SVG/Element/linearGradient
tags:
  - Element
  - SVG
  - SVG Gradient
---
<div>{{SVGRef}}</div>

<p>The <strong><code>&lt;linearGradient&gt;</code></strong> element lets authors define linear gradients that can be applied to fill or stroke of graphical elements.</p>

<div class="notecard note">
<p>Don't be confused with CSS {{cssxref('linear-gradient')}} as CSS gradients can only apply to HTML elements where SVG gradient can only apply to SVG elements.</p>
</div>

<div id="Exemple">
<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 10 10" xmlns="http://www.w3.org/2000/svg"
     xmlns:xlink="http://www.w3.org/1999/xlink"&gt;
  &lt;defs&gt;
    &lt;linearGradient id="myGradient" gradientTransform="rotate(90)"&gt;
      &lt;stop offset="5%"  stop-color="gold" /&gt;
      &lt;stop offset="95%" stop-color="red" /&gt;
    &lt;/linearGradient&gt;
  &lt;/defs&gt;

  &lt;!-- using my linear gradient --&gt;
  &lt;circle cx="5" cy="5" r="4" fill="url('#myGradient')" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('Exemple', 150, '100%')}}</p>
</div>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-cx">{{SVGAttr("gradientUnits")}}</dt>
 <dd>This attribute defines the coordinate system for attributes <code>x1</code>, <code>x2</code>, <code>y1</code>, <code>y2</code><br>
 <small><em>Value type</em>: <code>userSpaceOnUse</code>|<code>objectBoundingBox</code> ; <em>Default value</em>: <code>objectBoundingBox</code>; <em>Animatable</em>: <strong>yes</strong></small></dd>
 <dt id="attr-cx">{{SVGAttr("gradientTransform")}}</dt>
 <dd>This attribute provides additional <a href="/docs/Web/SVG/Attribute/transform">transformation</a> to the gradient coordinate system.<br>
 <small><em>Value type</em>: <strong><a href="/docs/Web/SVG/Content_type#Transform-list">&lt;transform-list&gt;</a></strong> ; <em>Default value</em>: <em>identity transform</em>; <em>Animatable</em>: <strong>yes</strong></small></dd>
 <dt>{{SVGAttr("href")}}</dt>
 <dd>This attribute defines a reference to another <code>&lt;linearGradient&gt;</code> element that will be used as a template.<br>
 <small><em>Value type</em>: <a href="/docs/Web/SVG/Content_type#URL"><strong>&lt;URL&gt;</strong></a> ; <em>Default value</em>: none; <em>Animatable</em>: <strong>yes</strong></small></dd>
 <dt>{{SVGAttr("spreadMethod")}}</dt>
 <dd>This attribute indicates how the gradient behaves if it starts or ends inside the bounds of the shape containing the gradient.<br>
 <small><em>Value type</em>: <code>pad</code>|<code>reflect</code>|<code>repeat</code> ; <em>Default value</em>: <code>pad</code>; <em>Animatable</em>: <strong>yes</strong></small></dd>
 <dt>{{SVGAttr("x1")}}</dt>
 <dd>This attribute defines the x coordinate of the starting point of the vector gradient along which the linear gradient is drawn.<br>
 <small><em>Value type</em>: <a href="/docs/Web/SVG/Content_type#Length"><strong>&lt;length&gt;</strong></a> ; <em>Default value</em>: <code>0%</code>; <em>Animatable</em>: <strong>yes</strong></small></dd>
 <dt>{{SVGAttr("x2")}}</dt>
 <dd>This attribute defines the x coordinate of the ending point of the vector gradient along which the linear gradient is drawn.<br>
 <small><em>Value type</em>: <a href="/docs/Web/SVG/Content_type#Length"><strong>&lt;length&gt;</strong></a> ; <em>Default value</em>: <code>100%</code>; <em>Animatable</em>: <strong>yes</strong></small></dd>
 <dt id="attr-cx">{{SVGAttr("xlink:href")}}</dt>
 <dd>{{Deprecated_Header("SVG2")}}An <a href="/en/SVG/Content_type#IRI">&lt;IRI&gt;</a> reference to another <code>&lt;linearGradient&gt;</code> element that will be used as a template.<br>
 <small><em>Value type</em>: <a href="/docs/Web/SVG/Content_type#IRI"><strong>&lt;IRI&gt;</strong></a> ; <em>Default value</em>: none; <em>Animatable</em>: <strong>yes</strong></small></dd>
 <dt>{{SVGAttr("y1")}}</dt>
 <dd>This attribute defines the y coordinate of the starting point of the vector gradient along which the linear gradient is drawn.<br>
 <small><em>Value type</em>: <a href="/docs/Web/SVG/Content_type#Length"><strong>&lt;length&gt;</strong></a> ; <em>Default value</em>: <code>0%</code>; <em>Animatable</em>: <strong>yes</strong></small></dd>
 <dt>{{SVGAttr("y2")}}</dt>
 <dd>This attribute defines the y coordinate of the ending point of the vector gradient along which the linear gradient is drawn.<br>
 <small><em>Value type</em>: <a href="/docs/Web/SVG/Content_type#Length"><strong>&lt;length&gt;</strong></a> ; <em>Default value</em>: <code>0%</code>; <em>Animatable</em>: <strong>yes</strong></small></dd>
</dl>

<h3 id="Global_attributes">Global attributes</h3>

<dl>
 <dt><a href="/docs/Web/SVG/Attribute/Core">Core Attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr('id')}}</small></dd>
 <dt><a href="/docs/Web/SVG/Attribute/Styling">Styling Attributes</a></dt>
 <dd><small>{{SVGAttr('class')}}, {{SVGAttr('style')}}</small></dd>
 <dt>Event Attributes</dt>
 <dd><small><a href="/docs/Web/SVG/Attribute/Events#Global_Event_Attributes">Global event attributes</a>, <a href="/docs/Web/SVG/Attribute/Events#Document_Element_Event_Attributes">Document element event attributes</a></small></dd>
 <dt><a href="/docs/Web/SVG/Attribute/Presentation">Presentation Attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr('clip-path')}}, {{SVGAttr('clip-rule')}}, {{SVGAttr('color')}}, {{SVGAttr('color-interpolation')}}, {{SVGAttr('color-rendering')}}, {{SVGAttr('cursor')}}, {{SVGAttr('display')}}, {{SVGAttr('fill')}}, {{SVGAttr('fill-opacity')}}, {{SVGAttr('fill-rule')}}, {{SVGAttr('filter')}}, {{SVGAttr('mask')}}, {{SVGAttr('opacity')}}, {{SVGAttr('pointer-events')}}, {{SVGAttr('shape-rendering')}}, {{SVGAttr('stroke')}}, {{SVGAttr('stroke-dasharray')}}, {{SVGAttr('stroke-dashoffset')}}, {{SVGAttr('stroke-linecap')}}, {{SVGAttr('stroke-linejoin')}}, {{SVGAttr('stroke-miterlimit')}}, {{SVGAttr('stroke-opacity')}}, {{SVGAttr('stroke-width')}}, {{SVGAttr("transform")}}, {{SVGAttr('vector-effect')}}, {{SVGAttr('visibility')}}</small></dd>
 <dt>XLink Attributes</dt>
 <dd><small>{{SVGAttr("xlink:href")}}, {{SVGAttr("xlink:title")}}</small></dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>{{svginfo}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('SVG2', 'pservers.html#LinearGradientElement', '&lt;linearGradient&gt;')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'pservers.html#LinearGradients', '&lt;linearGradient&gt;')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.linearGradient")}}</p>
